//===========================================================================
//
// Name:			ut_del2_c.c
// Function:		sets bot personality
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// version:			
// Tab Size:		4 (real tabs)
// Updated by travmon Feb 2018, Delirium again in Apr 2020
//===========================================================================

#include "chars.h"

skill 1
{
	CHARACTERISTIC_NAME							"del2"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.9875 //0.975
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del2_w.c"
	CHARACTERISTIC_AIM_SKILL					0.575 //0.65910
	CHARACTERISTIC_AIM_ACCURACY					0.7 //0.65895
	CHARACTERISTIC_VIEW_FACTOR					1.5
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //200
	CHARACTERISTIC_REACTIONTIME					0.925 //0.875

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del2_t.c"
	CHARACTERISTIC_CHAT_NAME					"del2"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.425
	CHARACTERISTIC_JUMPER						0.760
        CHARACTERISTIC_WALKER					0.500

	CHARACTERISTIC_WEAPONJUMPING				0.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del2_i.c"
	CHARACTERISTIC_AGGRESSION					0.945
	CHARACTERISTIC_SELFPRESERVATION				1.0 //0.885
	CHARACTERISTIC_VENGEFULNESS					0.865
	CHARACTERISTIC_CAMPER						0.930

	CHARACTERISTIC_EASY_FRAGGER					0.355
	CHARACTERISTIC_ALERTNESS					0.975 //0.950

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //0.895

	CHARACTERISTIC_FIRETHROTTLE					0.925 //0.750

        

}

skill 2
{
	CHARACTERISTIC_NAME							"del2"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.965
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del2_w.c"
	CHARACTERISTIC_AIM_SKILL					0.910
	CHARACTERISTIC_AIM_ACCURACY					0.7 //0.895
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //280
	CHARACTERISTIC_REACTIONTIME					0.925 //0.145

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del2_t.c"
	CHARACTERISTIC_CHAT_NAME					"del2"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.425
	CHARACTERISTIC_JUMPER						0.760
        CHARACTERISTIC_WALKER				0.500
	CHARACTERISTIC_WEAPONJUMPING				0.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del2_i.c"
	CHARACTERISTIC_AGGRESSION					0.945
	CHARACTERISTIC_SELFPRESERVATION				1.0 //0.885
	CHARACTERISTIC_VENGEFULNESS					0.865
	CHARACTERISTIC_CAMPER						0.930

	CHARACTERISTIC_EASY_FRAGGER					0.355
	CHARACTERISTIC_ALERTNESS					0.975 //0.950

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //0.895

	CHARACTERISTIC_FIRETHROTTLE					0.925 //0.750

        

}

skill 3
{
	CHARACTERISTIC_NAME							"del2"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.965
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del2_w.c"
	CHARACTERISTIC_AIM_SKILL					0.910
	CHARACTERISTIC_AIM_ACCURACY					0.7 //0.895
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //280
	CHARACTERISTIC_REACTIONTIME					0.925 //0.145

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del2_t.c"
	CHARACTERISTIC_CHAT_NAME					"del2"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.425
	CHARACTERISTIC_JUMPER						0.760
        CHARACTERISTIC_WALKER				0.500
	CHARACTERISTIC_WEAPONJUMPING				0.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del2_i.c"
	CHARACTERISTIC_AGGRESSION					0.945
	CHARACTERISTIC_SELFPRESERVATION				1.0 //0.885
	CHARACTERISTIC_VENGEFULNESS					0.865
	CHARACTERISTIC_CAMPER						0.930

	CHARACTERISTIC_EASY_FRAGGER					0.355
	CHARACTERISTIC_ALERTNESS					0.975 //0.950

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //0.895

	CHARACTERISTIC_FIRETHROTTLE					0.925 //0.750

        

}


skill 4
{
	CHARACTERISTIC_NAME							"del2"
	CHARACTERISTIC_GENDER						"female"
	CHARACTERISTIC_ATTACK_SKILL					0.9875 //0.975
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del2_w.c"
	CHARACTERISTIC_AIM_SKILL					0.575 //0.65
	CHARACTERISTIC_AIM_ACCURACY					0.7725 //0.65
	CHARACTERISTIC_VIEW_FACTOR					1.5
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //200
	CHARACTERISTIC_REACTIONTIME					0.9 //0.75

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del2_t.c"
	CHARACTERISTIC_CHAT_NAME					"del2"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.4 //0.85
	CHARACTERISTIC_JUMPER						0.4 //0.65
    CHARACTERISTIC_WALKER						0.55 //0.7
	CHARACTERISTIC_WEAPONJUMPING				0.75
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del2_i.c"
	CHARACTERISTIC_AGGRESSION					1.0 //0.825
	CHARACTERISTIC_SELFPRESERVATION				1.0 //0.7
	CHARACTERISTIC_VENGEFULNESS					0.0
	CHARACTERISTIC_CAMPER						0.0

	CHARACTERISTIC_EASY_FRAGGER					0.1 //0.45
	CHARACTERISTIC_ALERTNESS					0.975 //0.925

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //1
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //1
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //1
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //1
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //0.895

	CHARACTERISTIC_FIRETHROTTLE					0.3 //0.25

        

}

skill 5
{
	CHARACTERISTIC_NAME							"del2"
	CHARACTERISTIC_GENDER						"female"
	CHARACTERISTIC_ATTACK_SKILL					1.0
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del2_w.c"
	CHARACTERISTIC_AIM_SKILL					1.0
	CHARACTERISTIC_AIM_ACCURACY					0.7 //1.0
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //280
	CHARACTERISTIC_REACTIONTIME					0.925 //0.145

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del2_t.c"
	CHARACTERISTIC_CHAT_NAME					"del2"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.425
	CHARACTERISTIC_JUMPER						0.760
        CHARACTERISTIC_WALKER				0.500
	CHARACTERISTIC_WEAPONJUMPING				0.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del2_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				1.0 //1.0
	CHARACTERISTIC_VENGEFULNESS					1.0
	CHARACTERISTIC_CAMPER						0.930

	CHARACTERISTIC_EASY_FRAGGER					0.500
	CHARACTERISTIC_ALERTNESS					1.0

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //1.0
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //1.0
  
	CHARACTERISTIC_FIRETHROTTLE					0.925 //1.0

        

}
