//===========================================================================
//
// Name:			UT Bot File
// Function:             sets bot item weights
// Programmer:		Mr Elusive (MrElusive@idsoftware.com)
// Last update:		1999-09-08
// Tab Size:		4 (real tabs)
// Updated by travmon Feb 2018, Delirium again in Apr 2020
//===========================================================================

#include "inv.h"

//initial health/armor states
#define FS_HEALTH			1
#define FS_ARMOR			1

//initial weapon weights
#define W_MAGNUM			0
#define W_COLT1911			0
#define W_GLOCK				0
#define W_BENELLI			0
#define W_P90				0
#define W_SPAS12			0
#define W_BERETTA			0	
#define W_G36				0
#define W_KNIFE				0
#define W_UMP45				0
#define W_PSG1				0
#define W_MP5K				0
#define W_SR8				0
#define W_M4				0
#define W_HK69				0
#define W_DEAGLE			0
#define W_NEGEV				0
#define W_LR				0
#define W_MAC11				0
#define W_AK103				0
#define W_TOD50				0
#define W_FRF1				0

#define W_GRENADE_HE		0
#define W_GRENADE_SMOKE     0

//the bot has the weapon so it changes a bit (but not for ut)
#define GWW_MAGNUM			0
#define GWW_GLOCK			0
#define GWW_COLT1911		0
#define GWW_SPAS12			0
#define GWW_BENELLI			0
#define GWW_P90				0
#define GWW_BERETTA			0
#define GWW_G36				0
#define GWW_KNIFE			0
#define GWW_UMP45			0
#define GWW_PSG1			0
#define GWW_MP5K			0
#define GWW_SR8				0
#define GWW_M4				0
#define GWW_HK69			0
#define GWW_DEAGLE			0
#define GWW_NEGEV			0
#define GWW_LR          	0
#define GWW_MAC11			0 
#define GWW_AK103			0
#define GWW_TOD50			0
#define GWW_FRF1			0

#define GWW_GRENADE_HE		0
#define GWW_GRENADE_SMOKE	0

//initial powerup weights
#define W_TELEPORTER			10
#define W_MEDKIT				10
#define W_QUAD					10
#define W_ENVIRO				10
#define W_HASTE					10
#define W_INVISIBILITY			10
#define W_REGEN					10
#define W_FLIGHT				10

//flag weight
#define FLAG_WEIGHT				10

//  default fuzzy logic
#include "bots/lollipop_fuzzy/fw_items.c"

