//===========================================================================
//
// Name:			ut_del1_c.c
// Function:		sets bot personality
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// version:			
// Tab Size:		4 (real tabs)
// Updated by travmon Feb 2018, Delirium again in Apr 2020
//===========================================================================

#include "chars.h"

skill 1
{
	CHARACTERISTIC_NAME							"del1"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.9875 //0.975
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del1_w.c"
	CHARACTERISTIC_AIM_SKILL					0.575 //0.65910
	CHARACTERISTIC_AIM_ACCURACY					0.7 //0.65895
	CHARACTERISTIC_VIEW_FACTOR					1.5
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //200
	CHARACTERISTIC_REACTIONTIME					0.925 //0.875

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del1_t.c"
	CHARACTERISTIC_CHAT_NAME					"del1"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.425
	CHARACTERISTIC_JUMPER						0.760
        CHARACTERISTIC_WALKER				0.500

	CHARACTERISTIC_WEAPONJUMPING				0.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del1_i.c"
	CHARACTERISTIC_AGGRESSION					0.945
	CHARACTERISTIC_SELFPRESERVATION				1.0 //0.885
	CHARACTERISTIC_VENGEFULNESS					0.865
	CHARACTERISTIC_CAMPER						0.930

	CHARACTERISTIC_EASY_FRAGGER					0.355
	CHARACTERISTIC_ALERTNESS					0.975 //0.950

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //0.895

	CHARACTERISTIC_FIRETHROTTLE					0.925 //0.750

        

}

skill 2
{
	CHARACTERISTIC_NAME							"del1"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.965
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del1_w.c"
	CHARACTERISTIC_AIM_SKILL					0.910
	CHARACTERISTIC_AIM_ACCURACY					0.7 //0.895
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //280
	CHARACTERISTIC_REACTIONTIME					0.925 //0.145

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del1_t.c"
	CHARACTERISTIC_CHAT_NAME					"del1"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.425
	CHARACTERISTIC_JUMPER						0.760
        CHARACTERISTIC_WALKER				0.500
	CHARACTERISTIC_WEAPONJUMPING				0.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del1_i.c"
	CHARACTERISTIC_AGGRESSION					0.945
	CHARACTERISTIC_SELFPRESERVATION				1.0 //0.885
	CHARACTERISTIC_VENGEFULNESS					0.865
	CHARACTERISTIC_CAMPER						0.930

	CHARACTERISTIC_EASY_FRAGGER					0.355
	CHARACTERISTIC_ALERTNESS					0.975 //0.950

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //0.895

	CHARACTERISTIC_FIRETHROTTLE					0.925 //0.750

        

}

skill 3
{
	CHARACTERISTIC_NAME							"del1"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.965
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del1_w.c"
	CHARACTERISTIC_AIM_SKILL					0.910
	CHARACTERISTIC_AIM_ACCURACY					0.7 //0.895
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //280
	CHARACTERISTIC_REACTIONTIME					0.925 //0.145

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del1_t.c"
	CHARACTERISTIC_CHAT_NAME					"del1"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.425
	CHARACTERISTIC_JUMPER						0.760
        CHARACTERISTIC_WALKER				0.500
	CHARACTERISTIC_WEAPONJUMPING				0.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del1_i.c"
	CHARACTERISTIC_AGGRESSION					0.945
	CHARACTERISTIC_SELFPRESERVATION				1.0 //0.885
	CHARACTERISTIC_VENGEFULNESS					0.865
	CHARACTERISTIC_CAMPER						0.930

	CHARACTERISTIC_EASY_FRAGGER					0.355
	CHARACTERISTIC_ALERTNESS					0.975 //0.950

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //0.895

	CHARACTERISTIC_FIRETHROTTLE					0.925 //0.750

        

}


skill 4
{
	CHARACTERISTIC_NAME							"del1"
	CHARACTERISTIC_GENDER						"female"
	CHARACTERISTIC_ATTACK_SKILL					0.9875 //0.975
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del1_w.c"
	CHARACTERISTIC_AIM_SKILL					0.575 //0.65
	//skill when aiming
	// >  0.0 && <  0.9 = aim is affected by enemy movement
	// >  0.4 && <= 0.8 = enemy linear leading
	// >  0.8 && <= 1.0 = enemy exact movement leading
	// >  0.5 && <= 1.0 = prediction shots when enemy is not visible
	// >  0.6 && <= 1.0 = splash damage by shooting nearby geometry
	CHARACTERISTIC_AIM_ACCURACY					0.7725 //0.65
	//accuracy when aiming
	CHARACTERISTIC_VIEW_FACTOR					1.0
	//view angle difference to angle change factor
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //200
	//maximum view angle change
	CHARACTERISTIC_REACTIONTIME					0.9 //0.75
	//reaction time in seconds

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del1_t.c"
	CHARACTERISTIC_CHAT_NAME					"del1"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.85
	//tendency to crouch
	CHARACTERISTIC_JUMPER						1.0 //0.9985
	//tendency to jump
    CHARACTERISTIC_WALKER						0.45
	//tendency to walk
	CHARACTERISTIC_WEAPONJUMPING				0.975 
	//tendency to jump using a weapon
	CHARACTERISTIC_GRAPPLE_USER					1.0 
	//tendency to use the grapple hook when available

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del1_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	//the aggression of the bot
	CHARACTERISTIC_SELFPRESERVATION				1.0 //0.875
	//the self preservation of the bot (rockets near walls etc.)
	CHARACTERISTIC_VENGEFULNESS					0.0
	//how likely the bot is to take revenge
	CHARACTERISTIC_CAMPER						0.0
	//tendency to camp

	CHARACTERISTIC_EASY_FRAGGER					0.1 //0.45
	//tendency to get easy frags
	CHARACTERISTIC_ALERTNESS					0.975 //0.9
	//how alert the bot is (view distance)

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //1
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //1
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //1
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //1
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //0.895
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //0.895

	CHARACTERISTIC_FIRETHROTTLE					0.3 //0.25
	//how much the bot fires it's weapon
}

skill 5
{
	CHARACTERISTIC_NAME							"del1"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					1.0
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/ut_del1_w.c"
	CHARACTERISTIC_AIM_SKILL					1.0
	CHARACTERISTIC_AIM_ACCURACY					0.7 //1.0
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE				200  //280
	CHARACTERISTIC_REACTIONTIME					0.925 //0.145

	CHARACTERISTIC_CHAT_FILE					"bots/ut_del1_t.c"
	CHARACTERISTIC_CHAT_NAME					"del1"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.375
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.885
	CHARACTERISTIC_CHAT_REPLY					0.125

	CHARACTERISTIC_CROUCHER						0.425
	CHARACTERISTIC_JUMPER						0.760
        CHARACTERISTIC_WALKER				0.500
	CHARACTERISTIC_WEAPONJUMPING				0.0
	CHARACTERISTIC_GRAPPLE_USER					0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/ut_del1_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				1.0 //1.0
	CHARACTERISTIC_VENGEFULNESS					1.0
	CHARACTERISTIC_CAMPER						0.930

	CHARACTERISTIC_EASY_FRAGGER					0.500
	CHARACTERISTIC_ALERTNESS					1.0

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7725 //1.0
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.7725 //1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7725 //1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.7725 //1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7725 //1.0
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.7725 //1.0
  
	CHARACTERISTIC_FIRETHROTTLE					0.925 //1.0

        

}
